Overview | Package | Class | Deprecated | Index | Help
| Griffon 0.9.5-rc2
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.groovy.transform.powerassert
[Java] Class Value

    java.lang.Object
      org.codehaus.groovy.transform.powerassert.Value

    public class Value
    extends Object

A value recorded during evaluation of an assertion, along with the column it is associated with in the assertion's normalized source text.

Authors:
  Peter Niederwieser

Field Summary
`private int` | `column`
`private Object` | `value`

Constructor Summary
`Value(Object value, int column)`

Method Summary
`int` | `getColumn()`
`Object` | `getValue()`

Methods inherited from class Object
wait, wait, wait, equals, toString, hashCode, getClass, notify, notifyAll

Field Detail

### column

    private final int column

### value

    private final Object value

Constructor Detail

### Value

    public Value(Object value, int column)

Method Detail

### getColumn

    public int getColumn()

### getValue

    public Object getValue()

Groovy Documentation